Bug 6861 - Fast Add returns to circulation page in all cases
Summary: Fast Add returns to circulation page in all cases
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-09 10:44 UTC by Ian Walls
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.36 KB, patch)
2011-09-09 11:00 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6861: Fast Add returns to circ/circulation.pl in all cases (1.43 KB, patch)
2011-09-09 19:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-09-09 10:44:57 UTC
Since the addition of Fast Add to circulation (when scanning an unknown barcode, an option is given to Fast Add at that point), some of the default behaviors for the previous existing functionality has changed.

If Fast Add is selected from the Circulation mainpage (not within a checkout), or if it is selected as the framework via cataloging, when items are saved, the page redirects to a blank checkout page, rather than to the details or items pages for that biblio.  This makes it very difficult for the librarian to confirm their changes have saved, since the newly added biblio will not be available for search until rebuild_zebra.pl next runs.

The system should be able to detect the lack of borrowernumber and other passed checkout variables, and change the redirect accordingly.
Comment 1 Ian Walls 2011-09-09 11:00:36 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-09-09 19:35:33 UTC
Created attachment 5393 [details] [review]
[SIGNED-OFF] Bug 6861: Fast Add returns to circ/circulation.pl in all cases

If Fast Add is accessed from either the circulation homepage or cataloguing,
it should stay on the additem.pl page after saving the first item.  Only when
a Fast Add is done in the middle of a circulation transaction should it redirect
back to circ/circulation.pl to complete that transaction.

This patch adds a conditional check for a borrowernumber input param; the presense
of such implies we're in the middle of a checkout.  It's absense implies we should
remain on additem.pl

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Ian Walls 2011-09-09 19:38:36 UTC
Passing my own patch through QA, since it only adds a single check for a (required) parameter that is used in constructing the redirect URL... since URL won't work without that param, makes sense to check for it, right?  Right?  Please object if you do not agree with my doing this.
Comment 4 Chris Cormack 2011-09-11 09:34:07 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2012-05-23 12:21:01 UTC
Seems to work. Closing.